#include <stdint.h>
#include <_stdio.h>
#include <tree-os.h>
#include <cursor.h>
#include <task.h>
#include <alloc.h>
#include <osTasks.h>
#include <interrupts.h>
#include <timer.h>

extern uint32_t _kernel_end;

void kernelMain() {
    initMemoryAllocation(0x1000000); // initializing stacks after the kernel seems not to work :( otherwise, _kernel_end should be passed here
    initOSTasks();
    drawLogo();
    printf("initializing interrupts\n");
    initInterrupts();
    yields();
    setupTimer();
    while(1);
    yield();
}